<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{308,132,625,598}</property>
    <property name="Name">[sp_movfl.scr]</property>
    <property name="Caption">[Produtos a Receber]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Verdana" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">14215660</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[..\xml\icon\tela2.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg
//skel VARIAVEL z_blkdsp = {||prd_dados("seek_PCOD"), zlab:=se_prod->pprincforn, if(se_prod->pitens>1,alert_tef("Produto fracionado!",1),NIL) }
//skel comando durante znil = eval(z_blkdsp)
//skel COMANDO ANTES DBGOTOP()
oContextMenu:=Hwg_ContextMenu()
hwg_Btn(oToolbar,5,5,54,54)
hwg_TbMt(oToolbar,' 22;ins_prd(D_oB,"R",.T.,.t.);Ins-Inclui ;Ins-Inclui;add.jpg;;;;;Inclui;;;')
hwg_TbMt(oToolbar,'  7;tb_del(D_oB);Del-Cancela ;Del-Deleta;deleta.jpg;;;;;Deleta;;;')
d_ob:lEditable = .t.
hwg_TbMt(oToolbar,' 79;tb_index(D_OB);O-Ordena ;O-Ordena a coluna do cursor;ordena.jpg;;;;;&O-Ordena;;;')
hwg_TbMt(oToolbar,' 73;Lst_alias(D_OB);I-Imprime Pedido ;I-Imprime;impressora.jpg;;;;;&I-Imprime;;;')
hwg_Btn(oToolbar,10,544,80,24)
hwg_TbMt(oToolbar,' 13;pf_DoGet(D_oB,"R");Enter-Altera ;Enter - Altera;sembitmap;;;Lucida Bright;-11;Altera;;6;')
hwg_TbMt(oToolbar,' 66;pf_ean(nrow,d_ob);B-Cod_Barras ;B - Cod_Barras;sembitmap;;;Lucida Bright;-11;&B-Cod_Barras;;6;')
hwg_TbMt(oToolbar,' 63;chk_sp_movf(,,,"CALCULA_VALOR");?-Valor_NF ;? - Valor_NF;sembitmap;;;Lucida Bright;-11;&?-Valor_NF;;6;')
hwg_TbMt(oToolbar,' 47;chk_sp_movf(,,D_oB,"AJUSTA_TODOS");/-Ajusta_Valores ;/ - Ajusta_Valores;sembitmap;;;Lucida Bright;-11;&/-Ajusta_Valores;;6;')
hwg_TbMt(oToolbar,' 86;pfvalor(D_oB);V-Valor_Pedido ;V - Valor_Pedido;sembitmap;;;Lucida Bright;-11;&V-Valor_Pedido;;6;')
hwg_TbMt(oToolbar,' 32;OrdSetFocus(0);Barra-Ordem_Digitacao ;Barra - Ordem_Digitacao;sembitmap;;;Lucida Bright;-11;Ordem_Digitacao;;6;')
hwg_TbMt(oToolbar,' 82;pfrecquant(D_oB);R-Confirma_Todos ;R - Confirma_Todos;sembitmap;;;Lucida Bright;-11;&R-Confirma_Todos;;6;')
SetDlgKey(oDlg,8,26,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"UP"))})
SetDlgKey(oDlg,8,28,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"DOWN"))})
Hwg_EndMenu()
]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()]]>
  </method>
  <part class="status">
    <style>
      <property name="Geometry">{0,568,625,30}</property>
      <property name="Name">[oDlgStatusBar]</property>
      <property name="aParts">{608,152,0}</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{10,69,604,458}</property>
      <property name="Name">[D_oB]</property>
      <property name="Anchor">15</property>
      <property name="GridLinesSepColor">0</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onInit">
      <![CDATA[hwg_TbFi(D_oB, 'Lotes;plote;C;@s10;10;S;')
hwg_TbFi(D_oB, 'Receb;mqatend;N;999999;  6;S;')
hwg_TbFi(D_oB, 'Desc;PDESC;C;@S24; 22;N;')
hwg_TbFi(D_oB, 'Cod;PCOD;N;99999;  5;N;')
D_oB:bColorSel:= RGB(3,23,133)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:Alias := alias()
D_oB:lDisableVScrollPos := .t.
D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
D_oB:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"SP_MOVF",.F.,.T.,{||.T.} }
d_ob:bEdit := {|D_oB| nKey:=13,pf_DoGet(D_oB,"R")}
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})
]]>
    </method>
  </part>
</part>
